Create an Application

Use this API to create a merchant prospect and fill out a Merchant Processing Application. You can chose to create a fully filled out application, OR to create an partially filled application and then use the "Update Application API" to update the application information as you collect the information from your merchant.

  • See the "Full Application Payload" example to review the payload to create a complete application that is ready to be presented to the merchant for their acceptance using our SDK.
  • See the "Minimum Application Payload" example to review the payload to create an incomplete application.

Also, refer to the "Retrieve Application" API reference page to retrieve the application and its "readiness state" (i.e. completeness level)

Body Params
string
required

Onboarding Template UUID with pricing program for new merchants being onboarded

string

External Id from your system

boolean
Defaults to false

Determines wether or not to create a user for the principals in the merchant application so they can have access to the payments portal

coreBusinessInfo
object
required

Core business information

processingEstimates
object

Credit card processing volume estimates

achProcessingInformation
object

ACH processing volume estimates and other Information. Only required the onborading template used has ACH as an assigned payment method

bankingInformation
object

Banking information for transaction settlement/deposits

businessPrincipals
array of objects
required

Array of business principals information

businessPrincipals*
paymentMethods
object

Payment Methods percentages information. The sum of its properties (onlinePaymentsPercentage, inStorePaymentsPercentage, keyedInPaymentsPercentage) must equal 100.

motoQuestionnaire
object

Moto Questionnaire. Only required when either paymentMethods.onlinePaymentsPercentage > 0 or paymentMethods.keyedInPaymentsPercentage > 0

processingEquipment
object

Object containing the physical equipment (terminals), payment gateways and/or online payment systems that the merchant will use

securityInfo
object

Object containing the merchant answers to security related questions

string
enum
Defaults to BUSINESS_DETAILS

When granting portal access to the users to leverage our hosted onboarding solution, this property allows you to set the current onboarding step/page that the merchant will be when he/she logs in. When not set, this property defaults to "BUSINESS_DETAILS". The most commonly used values are "business_details" (i.e. first onboarding page), "application_summary" (i.e. summary page), and "agreement_acceptance" (i.e. last onboarding page)

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json